All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
derivable-parametrized-function.hh File Reference
`#include <utility>`
`#include <roboptim/core/fwd.hh>`
`#include <roboptim/core/parametrized-function.hh>`
`#include <roboptim/core/portability.hh>`

## Classes

class | roboptim::DerivableParametrizedFunction< F >
| Parametrized function with parameter derivative available. More...

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.